GET /memories/{memory_id}
Read one memory's full content.
The id comes from the index returned by listing memories.
curl "https://api.ellipsis.dev/v1/memories/{memory_id}" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY"{
"memory": {
"content": "string",
"content_sha256": "string",
"created_at": "2026-01-01T00:00:00Z",
"created_by": {
"id": "string",
"type": "agent_session"
},
"description": "string",
"id": "string",
"path": "string",
"updated_at": "2026-01-01T00:00:00Z",
"updated_by": {
"id": "string",
"type": "agent_session"
}
}
}import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.memories.get("...")
print(result){
"memory": {
"content": "string",
"content_sha256": "string",
"created_at": "2026-01-01T00:00:00Z",
"created_by": {
"id": "string",
"type": "agent_session"
},
"description": "string",
"id": "string",
"path": "string",
"updated_at": "2026-01-01T00:00:00Z",
"updated_by": {
"id": "string",
"type": "agent_session"
}
}
}import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.memories.get('...');
console.log(result);{
"memory": {
"content": "string",
"content_sha256": "string",
"created_at": "2026-01-01T00:00:00Z",
"created_by": {
"id": "string",
"type": "agent_session"
},
"description": "string",
"id": "string",
"path": "string",
"updated_at": "2026-01-01T00:00:00Z",
"updated_by": {
"id": "string",
"type": "agent_session"
}
}
}No request body.
{
"properties": {
"memory": {
"properties": {
"content": {
"type": "string"
},
"content_sha256": {
"type": "string"
},
"created_at": {
"format": "date-time",
"type": "string"
},
"created_by": {
"properties": {
"id": {
"type": "string"
},
"type": {
"enum": [
"agent_session",
"api_key",
"user"
],
"type": "string"
}
},
"required": [
"type",
"id"
],
"type": "object"
},
"description": {
"type": "string"
},
"id": {
"type": "string"
},
"path": {
"type": "string"
},
"updated_at": {
"format": "date-time",
"type": "string"
},
"updated_by": {
"properties": {
"id": {
"type": "string"
},
"type": {
"enum": [
"agent_session",
"api_key",
"user"
],
"type": "string"
}
},
"required": [
"type",
"id"
],
"type": "object"
}
},
"required": [
"id",
"path",
"description",
"content",
"content_sha256",
"created_by",
"updated_by",
"created_at",
"updated_at"
],
"type": "object"
}
},
"required": [
"memory"
],
"type": "object"
}Request
memory_idstringrequired